com.corticon.rulesemf.ast

## Interface PostfixExpression

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface PostfixExpression
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Postfix Expression'.

  The following features are supported:

  - `Type`
  - `Action`
  - `Primary Expression`
  - `Feature Call List`
  See Also:
    `AstPackage.getPostfixExpression()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getAction()` Returns the value of the 'Action' attribute
    `org.eclipse.emf.common.util.EList` | `getFeatureCallList()` Returns the value of the 'Feature Call List' containment reference list.
    `PrimaryExpression` | `getPrimaryExpression()` Returns the value of the 'Primary Expression' containment reference
    `java.lang.String` | `getType()` Returns the value of the 'Type' attribute
    `void` | `setAction(java.lang.Boolean value)` Sets the value of the '`Action`' attribute
    `void` | `setPrimaryExpression(PrimaryExpression value)` Sets the value of the '`Primary Expression`' containment reference
    `void` | `setType(java.lang.String value)` Sets the value of the '`Type`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getType

          java.lang.String getType()

      Returns the value of the 'Type' attribute.

      If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Type' attribute.
      See Also:
        `setType(String)`, `AstPackage.getPostfixExpression_Type()`

    - #### setType

          void setType(java.lang.String value)

      Sets the value of the '`Type`' attribute.
      Parameters:
        `value` - the new value of the 'Type' attribute.
      See Also:
        `getType()`

    - #### getAction

          java.lang.Boolean getAction()

      Returns the value of the 'Action' attribute.

      If the meaning of the 'Action' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Action' attribute.
      See Also:
        `setAction(Boolean)`, `AstPackage.getPostfixExpression_Action()`

    - #### setAction

          void setAction(java.lang.Boolean value)

      Sets the value of the '`Action`' attribute.
      Parameters:
        `value` - the new value of the 'Action' attribute.
      See Also:
        `getAction()`

    - #### getPrimaryExpression

          PrimaryExpression getPrimaryExpression()

      Returns the value of the 'Primary Expression' containment reference.

      If the meaning of the 'Primary Expression' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Primary Expression' containment reference.
      See Also:
        `setPrimaryExpression(PrimaryExpression)`, `AstPackage.getPostfixExpression_PrimaryExpression()`

    - #### setPrimaryExpression

          void setPrimaryExpression(PrimaryExpression value)

      Sets the value of the '`Primary Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Primary Expression' containment reference.
      See Also:
        `getPrimaryExpression()`

    - #### getFeatureCallList

          org.eclipse.emf.common.util.EList getFeatureCallList()

      Returns the value of the 'Feature Call List' containment reference list. The list contents are of type `FeatureCall`.

      If the meaning of the 'Feature Call List' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Feature Call List' containment reference list.
      See Also:
        `AstPackage.getPostfixExpression_FeatureCallList()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.